generic_response_frame_packet_t Struct Reference

generic response packet More...

`#include <host_command.h>`

Collaboration diagram for generic_response_frame_packet_t:
[legend]

## Data Fields

framing_data_packet_t | framing_data
uint8_t | commandTag
uint8_t | flags
uint8_t | reserved
uint8_t | parameterCount
uint32_t | status
uint32_t | param_commandTag

## Detailed Description

generic response packet

## Field Documentation

uint8_t commandTag

A command tag.

uint8_t flags

Combination of packet flags.

framing_data_packet_t framing_data

uint32_t param_commandTag

parameter 1

uint8_t parameterCount

Number of parameters that follow in buffer.

uint8_t reserved

Reserved, helpful for alignment, set to zero.

uint32_t status

parameter 0

The documentation for this struct was generated from the following file:

- host_command.h